CVE-2012-0271

HIGH
New! CVE Severity Now Using CVSS v3

The calculated severity for CVEs has been updated to use CVSS v3 by default. CVEs that do not have a CVSS v3 score will fall back CVSS v2 for calculating severity. Severity display preferences can be toggled in the settings dropdown.

Description

Integer overflow in the WebConsole component in gwia.exe in GroupWise Internet Agent (GWIA) in Novell GroupWise 8.0 before 8.0.3 HP1 and 2012 before SP1 might allow remote attackers to execute arbitrary code via a crafted request that triggers a heap-based buffer overflow, as demonstrated by a request with -1 in the Content-Length HTTP header.

References

http://osvdb.org/85426

http://www.novell.com/support/kb/doc.php?id=7010769

http://www.protekresearchlab.com/index.php?option=com_content&view=article&id=61&Itemid=61

https://bugzilla.novell.com/show_bug.cgi?id=746199

Details

Source: MITRE

Published: 2012-09-19

Updated: 2013-04-02

Type: CWE-189

Risk Information

CVSS v2

Base Score: 10

Vector: AV:N/AC:L/Au:N/C:C/I:C/A:C

Impact Score: 10

Exploitability Score: 10

Severity: HIGH

Vulnerable Software

Configuration 1

OR

cpe:2.3:a:novell:groupwise:8.0:*:*:*:*:*:*:*

cpe:2.3:a:novell:groupwise:8.01:*:*:*:*:*:*:*

cpe:2.3:a:novell:groupwise:8.01:hp:*:*:*:*:*:*

cpe:2.3:a:novell:groupwise:8.02:*:*:*:*:*:*:*

cpe:2.3:a:novell:groupwise:8.02:hp1:*:*:*:*:*:*

cpe:2.3:a:novell:groupwise:8.02:hp2:*:*:*:*:*:*

cpe:2.3:a:novell:groupwise:8.02:hp3:*:*:*:*:*:*

cpe:2.3:a:novell:groupwise:8.03:*:*:*:*:*:*:*

Configuration 2

OR

cpe:2.3:a:novell:groupwise:2012:*:*:*:*:*:*:*

Configuration 3

OR

cpe:2.3:a:novell:groupwise:5.2:*:*:*:*:*:*:*

cpe:2.3:a:novell:groupwise:5.5:*:*:*:*:*:*:*

cpe:2.3:a:novell:groupwise:5.57e:*:*:*:*:*:*:*

cpe:2.3:a:novell:groupwise:6.0:*:*:*:*:*:*:*

cpe:2.3:a:novell:groupwise:6.0.1:sp1:*:*:*:*:*:*

cpe:2.3:a:novell:groupwise:6.5:*:*:*:*:*:*:*

cpe:2.3:a:novell:groupwise:6.5:sp1:*:*:*:*:*:*

cpe:2.3:a:novell:groupwise:6.5:sp2:*:*:*:*:*:*

cpe:2.3:a:novell:groupwise:6.5:sp3:*:*:*:*:*:*

cpe:2.3:a:novell:groupwise:6.5:sp4:*:*:*:*:*:*

cpe:2.3:a:novell:groupwise:6.5:sp5:*:*:*:*:*:*

cpe:2.3:a:novell:groupwise:6.5:sp6:*:*:*:*:*:*

cpe:2.3:a:novell:groupwise:6.5.2:*:*:*:*:*:*:*

cpe:2.3:a:novell:groupwise:6.5.3:*:*:*:*:*:*:*

cpe:2.3:a:novell:groupwise:6.5.4:*:*:*:*:*:*:*

cpe:2.3:a:novell:groupwise:6.5.6:*:*:*:*:*:*:*

cpe:2.3:a:novell:groupwise:6.5.7:*:*:*:*:*:*:*

cpe:2.3:a:novell:groupwise:7.0:*:*:*:*:*:*:*

cpe:2.3:a:novell:groupwise:7.0.3:hp4:*:*:*:*:*:*

cpe:2.3:a:novell:groupwise:7.0.3:hp5:*:*:*:*:*:*

cpe:2.3:a:novell:groupwise:7.0.4:*:*:*:*:*:*:*

cpe:2.3:a:novell:groupwise:7.0.4:ftf:*:*:*:*:*:*

cpe:2.3:a:novell:groupwise:7.01:*:*:*:*:*:*:*

cpe:2.3:a:novell:groupwise:7.01:ir1:*:*:*:*:*:*

cpe:2.3:a:novell:groupwise:7.02:*:*:*:*:*:*:*

cpe:2.3:a:novell:groupwise:7.02:hp1:*:*:*:*:*:*

cpe:2.3:a:novell:groupwise:7.02:hp1a:*:*:*:*:*:*

cpe:2.3:a:novell:groupwise:7.02:hp2:*:*:*:*:*:*

cpe:2.3:a:novell:groupwise:7.02:hp2r1:*:*:*:*:*:*

cpe:2.3:a:novell:groupwise:7.03:*:*:*:*:*:*:*

cpe:2.3:a:novell:groupwise:7.03:hp:*:*:*:*:*:*

cpe:2.3:a:novell:groupwise:7.03:hp2:*:*:*:*:*:*

cpe:2.3:a:novell:groupwise:7.03:hp3:*:*:*:*:*:*

cpe:2.3:a:novell:groupwise:7.03:hp3\+ftf:*:*:*:*:*:*

Tenable Plugins

View all (2 total)

IDNameProductFamilySeverity
62391Novell GroupWise Internet Agent Request Content-Length Header Parsing Remote OverflowNessusGain a shell remotely
critical
62283Novell GroupWise Internet Agent 8.x <= 8.0.2 HP3 / 12.x < 12.0.1 Multiple VulnerabilitiesNessusWindows
critical